## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDOMStringCache::GetAndRelease Class Reference

`#include <XalanDOMStringCache.hpp>`

Collaboration diagram for XalanDOMStringCache::GetAndRelease:

List of all members.

## Public Methods

- GetAndRelease (XalanDOMStringCache& theCache)
- ~GetAndRelease ()
- XalanDOMString& get () const

## Constructor & Destructor Documentation

XalanDOMStringCache::GetAndRelease::GetAndRelease ( | XalanDOMStringCache & theCache )

XalanDOMStringCache::GetAndRelease::~GetAndRelease ( | )`[]`

## Member Function Documentation

XalanDOMString & XalanDOMStringCache::GetAndRelease::get ( | ) const`[]`

The documentation for this class was generated from the following file:

- XalanDOMStringCache.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.